# GorillaTacticsTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class GorillaTacticsTag

Tag used by Gorilla Tactics to restrict the user to using only one move.

#### Hierarchy (View Summary)

- MoveRestrictionBattlerTag
  - GorillaTacticsTag

- Defined in src/data/battler-tags.ts:360

##### Index

### Constructors

constructor

### Properties

isBatonPassable
lapseTypes
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getLastValidMove
getMoveName
getSourcePokemon
interruptedText
isMoveRestricted
isMoveTargetRestricted
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove
selectionDeniedText

## Constructors

### constructor

- new GorillaTacticsTag(): GorillaTacticsTag

  #### Returns GorillaTacticsTag

  Overrides MoveRestrictionBattlerTag.constructor

  - Defined in src/data/battler-tags.ts:363

## Properties

### isBatonPassable

isBatonPassable: boolean

Inherited from MoveRestrictionBattlerTag.isBatonPassable

- Defined in src/data/battler-tags.ts:65

### lapseTypes

lapseTypes: BattlerTagLapseType []

Inherited from MoveRestrictionBattlerTag.lapseTypes

- Defined in src/data/battler-tags.ts:61

### `Optional` sourceId

sourceId?: number

Inherited from MoveRestrictionBattlerTag.sourceId

- Defined in src/data/battler-tags.ts:64

### sourceMove

sourceMove: Moves

Inherited from MoveRestrictionBattlerTag.sourceMove

- Defined in src/data/battler-tags.ts:63

### tagType

tagType: BattlerTagType

Inherited from MoveRestrictionBattlerTag.tagType

- Defined in src/data/battler-tags.ts:60

### turnCount

turnCount: number

Inherited from MoveRestrictionBattlerTag.turnCount

- Defined in src/data/battler-tags.ts:62

## Methods

### canAdd

- canAdd(pokemon: default ): boolean

  #### Parameters

  - pokemon: default

    the `Pokemon` to check if the tag can be added

  #### Returns boolean

  `true` if the pokemon has a valid move and no existing GorillaTacticsTag; `false` otherwise

  Overrides MoveRestrictionBattlerTag.canAdd

  - Defined in src/data/battler-tags.ts:377

### getDescriptor

- getDescriptor(): string

  #### Returns string

  Inherited from MoveRestrictionBattlerTag.getDescriptor

  - Defined in src/data/battler-tags.ts:97

### getLastValidMove

- getLastValidMove(pokemon: default ): undefined | Moves

  Gets the last valid move from the pokemon's move history.

  #### Parameters

  - pokemon: default

    `Pokemon` to get the last valid move from

  #### Returns undefined | Moves

  the last valid move from the pokemon's move history

  - Defined in src/data/battler-tags.ts:427

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  Inherited from MoveRestrictionBattlerTag.getMoveName

  - Defined in src/data/battler-tags.ts:105

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon object

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  Inherited from MoveRestrictionBattlerTag.getSourcePokemon

  - Defined in src/data/battler-tags.ts:124

### interruptedText

- interruptedText(_pokemon: default , _move: Moves ): string

  Gets the text to display when a move's execution is prevented as a result of the restriction. Because restriction effects also prevent selection of the move, this situation can only arise if a pokemon first selects a move, then gets outsped by a pokemon using a move that restricts the selected move.

  #### Parameters

  - _pokemon: default

    `Pokemon` attempting to use the restricted move

  - _move: Moves

    `Moves` ID of the move being interrupted

  #### Returns string

  text to display when the move is interrupted

  Inherited from MoveRestrictionBattlerTag.interruptedText

  - Defined in src/data/battler-tags.ts:215

### isMoveRestricted

- isMoveRestricted(move: Moves ): boolean

  #### Parameters

  - move: Moves

  #### Returns boolean

  Overrides MoveRestrictionBattlerTag.isMoveRestricted

  - Defined in src/data/battler-tags.ts:368

### isMoveTargetRestricted

- isMoveTargetRestricted(_move: Moves , _user: default , _target: default ): boolean

  Checks if this tag is restricting a move based on a user's decisions during the target selection phase

  #### Parameters

  - _move: Moves

    `Moves` move ID to check restriction for

  - _user: default

    `Pokemon` the user of the above move

  - _target: default

    `Pokemon` the target of the above move

  #### Returns boolean

  `false` unless overridden by the child tag

  Inherited from MoveRestrictionBattlerTag.isMoveTargetRestricted

  - Defined in src/data/battler-tags.ts:193

### isSourceLinked

- isSourceLinked(): boolean

  #### Returns boolean

  Inherited from MoveRestrictionBattlerTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:101

### lapse

- lapse(pokemon: default , lapseType: BattlerTagLapseType ): boolean

  #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Inherited from MoveRestrictionBattlerTag.lapse

  - Defined in src/data/battler-tags.ts:157

### loadTag

- loadTag(source: any): void

  Loads the Gorilla Tactics Battler Tag along with its unique class variable moveId

  #### Parameters

  - source: any

    Gorilla Tactics' `BattlerTag` information

  #### Returns void

  Overrides MoveRestrictionBattlerTag.loadTag

  - Defined in src/data/battler-tags.ts:403

### onAdd

- onAdd(pokemon: default ): void

  Ensures that move history exists on `Pokemon` and has a valid move. If so, sets the moveId and increases the user's Attack by 50%.

  #### Parameters

  - pokemon: default

    the `Pokemon` to add the tag to

  #### Returns void

  Overrides MoveRestrictionBattlerTag.onAdd

  - Defined in src/data/battler-tags.ts:387

### onOverlap

- onOverlap(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from MoveRestrictionBattlerTag.onOverlap

  - Defined in src/data/battler-tags.ts:91

### onRemove

- onRemove(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from MoveRestrictionBattlerTag.onRemove

  - Defined in src/data/battler-tags.ts:89

### selectionDeniedText

- selectionDeniedText(pokemon: default , _move: Moves ): string

  #### Parameters

  - pokemon: default

    n/a

  - _move: Moves

    `Moves` ID of the move being denied

  #### Returns string

  text to display when the move is denied

  Overrides MoveRestrictionBattlerTag.selectionDeniedText

  - Defined in src/data/battler-tags.ts:415